Closed Bug 77837 Opened 22 years ago Closed 21 years ago

Security module UI not in the language packs

Categories

(Core Graveyard :: Security: UI, defect, P3)

1.0 Branch

Tracking

(Not tracked)

VERIFIED FIXED
psm2.0

People

(Reporter: amasri, Assigned: ddrinan0264)

References

Details

(Keywords: crash, l12y, Whiteboard: PDT)

Attachments

(4 files)

This bug was formerly bug number 51463. This is a Mozilla bug, so please do not 
mention any Netscape milestones, products, etc. Michele, would you please add 
the appropriate keywords to this?

Following is the commentary on bug 51463 (edited):

From Bugzilla Helper:
User-Agent: Mozilla/4.72 (Macintosh; I; PPC)
BuildID:    2000080712

Security module properties files have not been placed in locale directories. In 
order to localized these files, it is necessary to edit files in the browser 
directory.

The best option would be to place all four properties files in the locale 
directory. Failure to so do causes:

1. extra time for localization. The present directory scheme is not in 
conformity 
with the rest of the product.
2. Improper font selection. Current hard-coded fonts and font sizes cause 
unattractive or illegible fonts on other platforms (in particular Macintosh)            

                                

Reproducible: Always
Steps to Reproduce:
1.Note location of properties files in installation


Actual Results:                                                         

Expected Results:



------- Additional Comments From Mitchell Stoltz 2000-09-06 11:15 -------

I wasn't aware that those files were being stored in the wrong place. Could you 
send me a patch, or at least tell me what to change, for both the location 
problem and the fonts problem?



------- Additional Comments From rchen@netscape.com 2000-09-12 05:16 -------

Since we only localize psm_text.properties, put it in language pack should be 
good enough. Allan memtioned there are font info stored in 
psm_ui.properties. Please move them to psm_text file, which will avoid us to 
touch psm_ui.



------- Additional Comments From Allan Masri 2000-09-12 07:28 -------

This bug has two parts. The psm_text.properties file should be relocated into 
the language pack. I wrote a new bug, #52269, to cover moving font 
specifications out of psm_ui.properties.



------- Additional Comments From Mitchell Stoltz 2000-09-12 11:57 -------

rchen, amasri, can you or someone else do this, or else give me some directions 
on how to do it? Maybe attach a patch? The previous comments are Greek to me.



------- Additional Comments From rchen@netscape.com 2000-09-13 03:10 -------

Please talk to the installer team (dveditz) for the directory to put 
psm_text.properties. 



------- Additional Comments From Mitchell Stoltz 2000-09-27 16:08 -------

Whoops - this one got lost in the shuffle. Looks like it should have gone to 
Security:Crypto, which is the component for PSM UI.



------- Additional Comments From junruh@netscape.com 2000-09-28 14:03 -------

Adding keyword



------- Additional Comments From msanz@netscape.com 2000-10-19 10:51 -------

The reason why it should be accepted is that if these files are out of the
language packs, as they are now, UI won't change when user selects a different
pack. Updating summary for accuracy



------- Additional Comments From msanz@netscape.com 2000-12-09 20:45 -------

adding localizability keyword



------- Additional Comments From junruh@netscape.com 2001-04-16 12:21 -------

Is this bug relevant with PSM 2.0?



------- Additional Comments From dveditz@netscape.com 2001-04-16 12:35 -------

Yup, it's still a valid bug. PSM2 may be using XUL chrome, but at the 
moment they've packaged their locale stuff into the same chrome .jars as their 
content.



------- Additional Comments From junruh@netscape.com 2001-04-23 10:03 -------

PSM 2.0



------- Additional Comments From Michele Carlson 2001-04-23 12:08 -------

what does that mean - PSM 2.0 junruh? Will this be resolved in PSM 2.0? 



------- Additional Comments From junruh@netscape.com 2001-04-23 12:13 -------

PSM 2.0 is the target milestone. The milestone can be changed if there is not 
enough time to fix this bug.



------- Additional Comments From Michele Carlson 2001-04-23 12:16 -------

David,
I thought this one is already fixed in PSM 2.0. Could you please comment?
thanks



------- Additional Comments From David P. Drinan 2001-04-23 13:02 -------

PSM uses the standard mozilla language packs.

Marking fixed.



------- Additional Comments From rchen@netscape.com 2001-04-23 13:10 -------

David, 

I saw there are dtd and properties files in pippki.jar and pipnss.jar. They are 
packed in psm.xpi. Aren't they the UI files? Shouldn't they be in the language 
pack? 



------- Additional Comments From rchen@netscape.com 2001-04-24 11:13 -------

Reopen the bug and reassign it to leaf.



------- Additional Comments From rchen@netscape.com 2001-04-24 11:15 -------

Leaf, we need to move the locale files from psm.xpi to langenus.xpi. Thanks.



------- Additional Comments From rchen@netscape.com 2001-04-24 11:18 -------

*** Bug 76955 has been marked as a duplicate of this bug. ***



------- Additional Comments From Daniel (Leaf) Nunes 2001-04-24 12:35 -------

someone who knows what files should go in what xpi should be modifying the 
packages-* files (that would be someone other than me). Does every component 
dump their stuff into the langpacks xpi files, rather than their own xpis?

Volunteers welcome.



------- Additional Comments From rchen@netscape.com 2001-04-24 12:58 -------

Basically all the files under locale directory in pippki.jar and pipnss.jar 
should go to en-us.jar. These are the list:

locale\en-US\pippki\contents.rdf
locale\en-US\pippki\pippki.dtd
locale\en-US\pippki\pref-ssl.dtd
locale\en-US\pippki\pippki.properties
locale\en-US\pippki\PrefOverlay.dtd
locale\en-US\pippki\newserver.properties
locale\en-US\pippki\newserver.dtd
locale\en-US\pippki\pref-security.dtd
locale\en-US\pippki\PageInfoOverlay.dtd
locale\en-US\pippki\certManager.dtd
locale\en-US\pipnss\contents.rdf
locale\en-US\pipnss\pipnss.properties



------- Additional Comments From Javier Delgadillo 2001-04-24 13:00 -------

where is the right place for this fix?  In the jar.mn file? Or somewhere else? 
If it's in the jar.mn file, please point us to a working example.



------- Additional Comments From Daniel (Leaf) Nunes 2001-04-24 13:09 -------

http://lxr.mozilla.org/seamonkey/source/xpfe/communicator/jar.mn perhaps?


------- Additional Comments From Javier Delgadillo 2001-04-24 13:30 -------

So this isn't a blocker, which is what I was getting at.

Also re-assigning to myself since this isn't leaf's bug, but a PSM build bug.


------- Additional Comments From Jaime Rodriguez, Jr. 2001-04-26 14:28 -------

This is pretty major Javi. We will not have the UI in the language pack, if this
is not fixed. 

We use the language packs to build our localized products.

Please assign a M0.9.1. This is a must fix.
Component: Security: Crypto → Client Library
Product: Browser → PSM
Target Milestone: --- → 2.0
Version: other → 2.0
Keywords: mozilla0.9.1
r=ddrinan.
Are you sure that you want this in en-US.jar?  I would expect that you would
want your own .jar file.  Anyway, assuming you do sr=blizzard
Backed out this change since it caused many blockers today.
Blocks: 82359
-> p2
-> p1
Priority: -- → P1
->p3
Priority: P1 → P3
Keywords: l12y
This is a critical bug. Please see 

http://bugzilla.mozilla.org/show_bug.cgi?id=86445

If we don't fix it, the browser will crash when users switch to different 
language packs. I guess the browser can't find the dtd and properties after 
switching.
We can't have this crash @ RTM. 

Javi and team, can you help?
Keywords: crash, nsBranch
Have you tried adding the localized files to the pip*.jar packages?
Yes we did. And if we switch to a different language pack, the files in pip*.jar 
are not changed accordingly because they are not in the language pack. 
Mass reassigning target to 2.1
Target Milestone: 2.0 → 2.1
Keywords: nsenterprise
Blocks: 86445
-> ddrinan
-> 2.0
Assignee: javi → ddrinan
Target Milestone: 2.1 → 2.0
Sean,

Please review this patch.

Thanks.
The last patch, http://bugzilla.mozilla.org/showattachment.cgi?attach_id=41490,
looks right. r=tao.
sr=blizzard
Checked into trunk. Marking FIXED.
Status: NEW → RESOLVED
Closed: 21 years ago
Resolution: --- → FIXED
Verified on the 7/10 trunk build.
Status: RESOLVED → VERIFIED
adding PDT. bug 86445 is also marked PDT.
Note that we're experiencing a trunk regression which may be related to this
landing.
ddrinan is investigating.
Whiteboard: PDT
Fix checked into branch.
Product: PSM → Core
Version: psm2.0 → 1.0 Branch
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.